<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Calculator</title>
    <style>
        button {
            width: 100%;
            border-radius: 3px;
            border: none;
            padding: 5px;
            cursor: pointer;
        }
        .btn-red {
            background-color: red;
            color: white;
        }
        .btn-orange {
            background-color: orange;
            color: black;
        }
        .btn-blue {
            background-color: blue;
            color: white;
        }
        .btn-green {
            background-color: green;
            color: white;
        }
        .btn-black {
            background-color: black;
            color: white;
        }

        /* Calculator grid */
        .wrapper {
            display: grid;
            grid-template-columns: repeat(4, 1fr);
            grid-gap: 5px;
            max-width: 135px;
            padding: 10px;
            border: 1px solid #ccc;
            border-radius: 5px;
            margin-bottom: 10px;
        }
        input[type="number"].grid-input {
            grid-column: span 4;
            margin-bottom: 10px;
        }
    </style>
</head>
<body>
    <div class="wrapper">
        <input type="number" class="grid-input">
        <button class="btn-red">AC</button>
        <button class="btn-blue">C</button>
        <button class="btn-orange">*</button>
        <button>7</button>
        <button>8</button>
        <button>9</button>
        <button class="btn-orange">/</button>
        <button>4</button>
        <button>5</button>
        <button>6</button>
        <button class="btn-orange">+</button>
        <button>1</button>
        <button>2</button>
        <button>3</button>
        <button class="btn-orange">-</button>
        <button class="btn-black">+/-</button>
        <button>0</button>
        <button class="btn-black">.</button>
        <button class="btn-green">=</button>
    </div>
    <table>
        <tr>
            <td colspan="4">
                <input type="number">
            </td>
        </tr>
        <tr>
            <td colspan="2">
                <button class="btn-red">AC</button>
            </td>
            <td>
                <button class="btn-blue">C</button>
            </td>
            <td>
                <button class="btn-orange">*</button>
            </td>
        </tr>
        <tr>
            <td>
                <button>7</button>
            </td>
            <td>
                <button>8</button>
            </td>
            <td>
                <button>9</button>
            </td>
            <td>
                <button class="btn-orange">/</button>
            </td>
        </tr>
        <tr>
            <td>
                <button>4</button>
            </td>
            <td>
                <button>5</button>
            </td>
            <td>
                <button>6</button>
            </td>
            <td>
                <button class="btn-orange">+</button>
            </td>
        </tr>
        <tr>
            <td>
                <button>1</button>
            </td>
            <td>
                <button>2</button>
            </td>
            <td>
                <button>3</button>
            </td>
            <td>
                <button class="btn-orange">-</button>
            </td>
        </tr>
        <tr>
            <td>
                <button class="btn-black">+-</button>
            </td>
            <td>
                <button>0</button>
            </td>
            <td>
                <button class="btn-black">.</button>
            </td>
            <td>
                <button class="btn-green">=</button>
            </td>
        </tr>
    </table>
</body>
</html>
